//+kfi0 +kff3 +ki0 +kf1 +kc
//+am3 +r9 +a0.002 +ac0.99
//+am3 +r3 +a0.01 +j +ac0.99

#version unofficial patch 3.71;
#patch 0.99;


#declare Use_Radiosity		= yes;
#declare White_Environment	= no;
#ifndef(L3Version)		#declare L3Version	= 1.4;	#end
#ifndef(L3Quality)		#declare L3Quality	= 4;	#end	// Quality level, 0=BBox, 1=no refr, 2=normal, 3=studlogo, 4=stud2logo
#ifndef(L3SW)			#declare L3SW		= 0.5;	#end	// Width of seam between two bricks
#ifndef(L3Studs)		#declare L3Studs	= 1;	#end	// 1=on 0=off
#ifndef(L3Bumps)		#declare L3Bumps	= 1;	#end	// 1=on 0=off
#ifndef(L3Ambient)		#declare L3Ambient	= 0.0;	#end	// was 0.4
#ifndef(L3Diffuse)		#declare L3Diffuse	= 1.0;	#end	// was 0.4
#ifndef(L3Ior)			#declare L3Ior		= 1.5;	#end	// was 1.25
#ifndef(L3NormalBumps)	#declare L3NormalBumps	= normal { bumps 0.01 scale 20 }	#end
#ifndef(L3NormalSlope)	#declare L3NormalSlope	= normal { bumps 0.3 scale 0.5 }	#end
#ifndef(L3Phong)		#declare L3Phong		= 0.5;	#end
#ifndef(L3PhongSize)	#declare L3PhongSize	= 40;	#end
#ifndef(L3Reflection)	#declare L3Reflection	= 0.02;	#end	// was 0.08
#declare QUAL		= L3Quality;		// Quality level, 0=BBox, 1=no refr, 2=normal, 3=studlogo
#declare SW			= L3SW;				// Width of seam between two bricks
#declare STUDS		= L3Studs;			// 1=on 0=off
#declare BUMPS		= L3Bumps;			// 1=on 0=off
#declare BUMPNORMAL	= L3NormalBumps;
#declare AMB		= L3Ambient;
#declare DIF		= L3Diffuse;
#declare lg_quality	= L3Quality;
#declare lg_studs	= L3Studs;


global_settings
{
		assumed_gamma	1
}

#include "l3p_materials_noshadow_1.4_uber.inc"
#include "stdinc.inc"
#include "CIE.inc"			// http://www.ignorancia.org/en/index.php?page=Lightsys
#include "lightsys.inc"			// http://www.ignorancia.org/en/index.php?page=Lightsys
#include "lightsys_constants.inc"	// http://www.ignorancia.org/en/index.php?page=Lightsys

#declare light_lumens	= 2;					// float
#declare light_temp		= Daylight(6100);			// float
#declare light_color	= Light_Color(light_temp,light_lumens);
#declare light_location	= vrotate(<0,0,-320000>, <-60,-120,+00>);


#if (Use_Radiosity = 1)
	global_settings
	{
		assumed_gamma	1
		adc_bailout		0.005
		max_trace_level	8
		ambient_light	0
		mm_per_unit		64/25.4		// 1 inch = 64 units
		subsurface {samples 5, 5}
		radiosity
		{
			pretrace_start	0.08
			pretrace_end	0.01 	// Try 0.005 if you see random black spots.
			count			50
			error_bound		0.1
			recursion_limit	1
			normal			on
			brightness		0.8
			always_sample	yes
			gray_threshold	0.8
			media			on
		}
	}
#else
	global_settings
	{
		assumed_gamma	1
		max_trace_level 8
		ambient_light	1
		mm_per_unit		64/25.4		// 1 inch = 64 units
		subsurface {samples 5, 5}
	}
#end


/*
global_settings
{
	assumed_gamma	1
	#if (Use_Radiosity = 1)
		radiosity
		{
			pretrace_start	0.1
			pretrace_end	0.001
			recursion_limit	2
			count			3
			nearest_count	20,10
			always_sample	off
			maximum_reuse	0.1
			minimum_reuse	0.001
			no_cache
		}
	#end
	ambient_light	0
	mm_per_unit		1/mm
	adc_bailout		0.001
	max_trace_level	8
	subsurface {samples 5, 5}
}
*/

light_source
{
	light_location
	color srgb light_color
	area_light x*1024, y*1024, 17,17 adaptive 0 circular orient
	area_illumination
//	parallel
}

#default
{
	texture
	{
		finish { ambient L3Ambient diffuse L3Diffuse }
	}
}

#if (White_Environment = yes)
	background {color srgb 0.8}
	union
	{
		plane { -y, 0 hollow }
		#for (X,-41,40)
			#for (Z,-41,40)
				object { stud_dot_dat translate <X+0.5,0,Z+0.5> * 20 }
			#end
		#end
		material { L3Color15 }
	}
#else
	sky_sphere
	{
		pigment
		{
			planar
			poly_wave 2
			pigment_map
			{
				[0.0 colour srgb <0.20,0.40,0.90>]
				[1.0 colour srgb <0.60,0.70,0.95>]
			}
		}
		emission 1
	}
	union
	{
		plane { -y, 0 hollow }
		#for (X,-41,40)
			#for (Z,-41,40)
				object { stud_dot_dat translate <X+0.5,0,Z+0.5> * 20 }
			#end
		#end
		material { L3Color8 }
	}
#end
